Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class SkipJackRelayXParameters

    java.lang.Object
      iaik.pkcs.pkcs11.parameters.SkipJackRelayXParameters

All Implemented Interfaces:
  Cloneable, Parameters

public class SkipJackRelayXParameters
extends Object
implements Parameters

This class encapsulates parameters for the Mechanism.SKIPJACK_RELAYX.

Invariants
  (oldWrappedX_ <> null) and (oldPassword_ <> null) and (oldPublicData_ <> null) and (oldRandomA_ <> null) and (newPassword_ <> null) and (newPublicData_ <> null) and (newRandomA_ <> null)

Field Summary
`protected byte[]` | `newPassword_` The new user-supplied password.
`protected byte[]` | `newPublicData_` The new key exchange public key value.
`protected byte[]` | `newRandomA_` The new random Ra data.
`protected byte[]` | `oldPassword_` The old user-supplied password.
`protected byte[]` | `oldPublicData_` The old key exchange public key value.
`protected byte[]` | `oldRandomA_` The old random Ra data.
`protected byte[]` | `oldWrappedX_` The old wrapped key.

Constructor Summary
`SkipJackRelayXParameters(byte[] oldWrappedX, byte[] oldPassword, byte[] oldPublicData, byte[] oldRandomA, byte[] newPassword, byte[] newPublicData, byte[] newRandomA)` Create a new SkipJackRelayXParameters object with the given attributes.

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`byte[]` | `getNewPassword()` Get the new user-supplied password.
`byte[]` | `getNewPublicData()` Get the new other party's key exchange public key value.
`byte[]` | `getNewRandomA()` Get the new random Ra data.
`byte[]` | `getOldPassword()` Get the old user-supplied password.
`byte[]` | `getOldPublicData()` Get the old other party's key exchange public key value.
`byte[]` | `getOldRandomA()` Get the old random Ra data.
`byte[]` | `getOldWrappedX()` Get the old wrapped key.
`Object` | `getPKCS11ParamsObject()` Get this parameters object as an object of the CK_SKIPJACK_RELAYX_PARAMS class.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setNewPassword(byte[] newPassword)` Set the new user-supplied password.
`void` | `setNewPublicData(byte[] newPublicData)` Set the new other party's key exchange public key value.
`void` | `setNewRandomA(byte[] newRandomA)` Set the new random Ra data.
`void` | `setOldPassword(byte[] oldPassword)` Set the old user-supplied password.
`void` | `setOldPublicData(byte[] oldPublicData)` Set the old other party's key exchange public key value.
`void` | `setOldRandomA(byte[] oldRandomA)` Set the old random Ra data.
`void` | `setOldWrappedX(byte[] oldWrappedX)` Set the old wrapped key.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### oldWrappedX_

    protected byte[] oldWrappedX_

  The old wrapped key.

### oldPassword_

    protected byte[] oldPassword_

  The old user-supplied password.

### oldPublicData_

    protected byte[] oldPublicData_

  The old key exchange public key value.

### oldRandomA_

    protected byte[] oldRandomA_

  The old random Ra data.

### newPassword_

    protected byte[] newPassword_

  The new user-supplied password.

### newPublicData_

    protected byte[] newPublicData_

  The new key exchange public key value.

### newRandomA_

    protected byte[] newRandomA_

  The new random Ra data.

Constructor Detail

### SkipJackRelayXParameters

    public SkipJackRelayXParameters(byte[] oldWrappedX,
                                    byte[] oldPassword,
                                    byte[] oldPublicData,
                                    byte[] oldRandomA,
                                    byte[] newPassword,
                                    byte[] newPublicData,
                                    byte[] newRandomA)

  Create a new SkipJackRelayXParameters object with the given attributes.

Parameters:
  `oldWrappedX` - The old wrapped key.
  `oldPassword` - The old user-supplied password.
  `oldPublicData` - The old key exchange public key value.
  `oldRandomA` - The old random Ra data.
  `newPassword` - The new user-supplied password.
  `newPublicData` - The new key exchange public key value.
  `newRandomA` - The new random Ra data.
Preconditions
  (oldWrappedX <> null) and (oldPassword <> null) and (oldPublicData <> null) and (oldRandomA <> null) and (newPassword <> null) and (newPublicData <> null) and (newRandomA <> null)
Postconditions

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof SkipJackRelayXParameters) and (result.equals(this))

### getPKCS11ParamsObject

    public Object getPKCS11ParamsObject()

  Get this parameters object as an object of the CK_SKIPJACK_RELAYX_PARAMS class.

  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a CK_SKIPJACK_RELAYX_PARAMS object.
  Preconditions
  Postconditions
    (result <> null)

### getOldWrappedX

    public byte[] getOldWrappedX()

  Get the old wrapped key.

  Returns:
    The old wrapped key.
  Preconditions
  Postconditions
    (result <> null)

### getOldPassword

    public byte[] getOldPassword()

  Get the old user-supplied password.

  Returns:
    The old user-supplied password.
  Preconditions
  Postconditions
    (result <> null)

### getOldPublicData

    public byte[] getOldPublicData()

  Get the old other party's key exchange public key value.

  Returns:
    The old other party's key exchange public key value.
  Preconditions
  Postconditions
    (result <> null)

### getOldRandomA

    public byte[] getOldRandomA()

  Get the old random Ra data.

  Returns:
    The old random Ra data.
  Preconditions
  Postconditions
    (result <> null)

### getNewPassword

    public byte[] getNewPassword()

  Get the new user-supplied password.

  Returns:
    The new user-supplied password.
  Preconditions
  Postconditions
    (result <> null)

### getNewPublicData

    public byte[] getNewPublicData()

  Get the new other party's key exchange public key value.

  Returns:
    The new other party's key exchange public key value.
  Preconditions
  Postconditions
    (result <> null)

### getNewRandomA

    public byte[] getNewRandomA()

  Get the new random Ra data.

  Returns:
    The new random Ra data.
  Preconditions
  Postconditions
    (result <> null)

### setOldWrappedX

    public void setOldWrappedX(byte[] oldWrappedX)

  Set the old wrapped key.

  Parameters:
    `oldWrappedX` - The old wrapped key.
  Preconditions
    (oldWrappedX <> null)
  Postconditions

### setOldPassword

    public void setOldPassword(byte[] oldPassword)

  Set the old user-supplied password.

  Parameters:
    `oldPassword` - The old user-supplied password.
  Preconditions
    (oldPassword <> null)
  Postconditions

### setOldPublicData

    public void setOldPublicData(byte[] oldPublicData)

  Set the old other party's key exchange public key value.

  Parameters:
    `oldPublicData` - The old other party's key exchange public key value.
  Preconditions
    (oldPublicData <> null)
  Postconditions

### setOldRandomA

    public void setOldRandomA(byte[] oldRandomA)

  Set the old random Ra data.

  Parameters:
    `oldRandomA` - The old random Ra data.
  Preconditions
    (oldRandomA <> null)
  Postconditions

### setNewPassword

    public void setNewPassword(byte[] newPassword)

  Set the new user-supplied password.

  Parameters:
    `newPassword` - The new user-supplied password.
  Preconditions
    (newPassword <> null)
  Postconditions

### setNewPublicData

    public void setNewPublicData(byte[] newPublicData)

  Set the new other party's key exchange public key value.

  Parameters:
    `newPublicData` - The new other party's key exchange public key value.
  Preconditions
    (oldPublicData <> null)
  Postconditions

### setNewRandomA

    public void setNewRandomA(byte[] newRandomA)

  Set the new random Ra data.

  Parameters:
    `newRandomA` - The new random Ra data.
  Preconditions
    (newRandomA <> null)
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.

  Returns:
    A string representation of this object.

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.